Update Android SDK

2wasted2

  • *
  • Posts: 33
Hello...
After wiping my computer and doing a fresh install of Stencyl from the forums, I then installed the latest JDK and then let Stencyl do its auto install of the SDK files (29)
But when I click test it still says I need to update my SDK.
There is also a "x" next to the target version (29) of the mobile settings
Screenshots attached.
Any help very much appreciated   :)


Cheers
Mike

2wasted2

  • *
  • Posts: 33
Bump

Still got this problem, I've deleted Stencyl and reinstalled a new version and reinstalled the SDK again.
But as previously when I click test it still pops up saying I need to update SDK.
And I still have the "X" next to the target version, even when I change the target version the "X" stays there.

Many Thanks
Mike

Justin

  • *
  • Posts: 4482
Hi, sorry for the late reply. I've fixed the issue with the SDK download in the latest private build of Stencyl. You can see more details on the issue I filed.
For Live Support: Join our discord server and ping me @justin.
I'm most often available between 10am and 10pm Japan time. (GMT+9)

2wasted2

  • *
  • Posts: 33
No Problems Justin, Thanks for getting back to me.

Cheers

2wasted2

  • *
  • Posts: 33
Hi, sorry for the late reply. I've fixed the issue with the SDK download in the latest private build of Stencyl. You can see more details on the issue I filed.

Hay Justin
I have downloaded the newest version and the SDK problem seems to be fixed but now just at the end of the build it gives me an error before sending it. Something to do with StreamGobbler

I have attached the logs.

Cheers
Mike
 

Justin

  • *
  • Posts: 4482
This time it's this one. We don't support the latest versions of the JDK for compiling to Android yet. Off the top of my head, I know that JDK 8 will work. 9 to 12 may work. 13 and up definitely do not work at the moment.
For Live Support: Join our discord server and ping me @justin.
I'm most often available between 10am and 10pm Japan time. (GMT+9)

2wasted2

  • *
  • Posts: 33
Ok I understand and will install 8

Thanks again
Mike